Package org.eclipse.graphiti.features.context.impl

## Class RemoveContext

- java.lang.Object
- - org.eclipse.graphiti.PropertyBag
  - - org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
    - - org.eclipse.graphiti.internal.features.context.impl.base.PictogramElementContext
      - - org.eclipse.graphiti.features.context.impl.RemoveContext

All Implemented Interfaces:
  `IContext`, `IPictogramElementContext`, `IRemoveContext`, `IPropertyBag`

    public class RemoveContext
    extends PictogramElementContext
    implements IRemoveContext

The Class RemoveContext.

### Constructor Summary

Constructors
`RemoveContext​(PictogramElement pictogramElement)` Creates a new `RemoveContext`.

### Method Summary

### Methods inherited from class org.eclipse.graphiti.internal.features.context.impl.base.PictogramElementContext

`getPictogramElement, setPictogramElement, toString`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.context.IPictogramElementContext

`getPictogramElement`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Constructor Detail

#### RemoveContext

    public RemoveContext​(PictogramElement pictogramElement)

Creates a new `RemoveContext`.

Parameters:
  `pictogramElement` - the pictogram element